Wireshark 3.3.1 Release Notes

 This is an experimental release intended to test new features for
 Wireshark 3.4.

 What is Wireshark?

  Wireshark is the world’s most popular network protocol analyzer. It is
  used for troubleshooting, analysis, development and education.

 What’s New

  Many improvements have been made. See the “New and Updated Features”
  section below for more details.

  New and Updated Features

   The following features are new (or have been significantly updated)
   since version 3.3.0:

     • The Windows installers now ship with Qt 5.15.1. They previously
       shipped with Qt 5.12.8.

   The following features are new (or have been significantly updated)
   since version 3.2.0:

     • Windows executables and installers are now signed using SHA-2
       only[1].

     • Save RTP stream to .au supports any codec with 8000 Hz rate
       supported by Wireshark (shown in RTP player). If save of audio is
       not possible (unsupported codec or rate), silence of same length
       is saved and warning is shown.

     • Asynchronous DNS resolution is always enabled. As a result, the
       c-ares library is now a required dependency.

     • Protobuf fields can be dissected as Wireshark (header) fields
       that allows user input the full names of Protobuf fields or
       messages in Filter toolbar for searching.

     • Dissectors based on Protobuf can register themselves to a new
       'protobuf_field' dissector table, which is keyed with the full
       names of fields, for further parsing fields of BYTES or STRING
       type.

     • Wireshark is able to decode, play, and save iLBC payload on
       platforms where the iLBC library[2] is available.

     • “Decode As” entries can now be copied from other profiles using a
       button in the dialog.

     • sshdump can now be copied to multiple instances. Each instance
       will show up a different interface and will have its own profile.

     • The main window now supports a packet diagram view, which shows
       each packet as a textbook-style diagram.

  New Protocol Support

   Arinc 615A (A615A), Asphodel Protocol, AudioCodes Debug Recording
   (ACDR), Bluetooth HCI ISO (BT HCI ISO), Cisco MisCabling Protocol
   (MCP), DCE/RPC IRemoteWinspool SubSystem, (IREMOTEWINSPOOL), Dynamic
   Link Exchange Protocol (DLEP), EAP Generalized Pre-Shared Key
   (EAP-GPSK), EAP Password Authenticated Exchange (EAP-PAX), EAP
   Pre-Shared Key (EAP-PSK), EAP Shared-secret Authentication and Key
   Establishment (EAP-SAKE), Fortinet Single Sign-on (FSSO), FTDI
   Multi-Protocol Synchronous Serial Engine (FTDI MPSSE), Hypertext
   Transfer Protocol Version 3 (HTTP3), ILDA Digital Network (IDN), Java
   Debug Wire Protocol (JDWP), LBM Stateful Resolution Service (LBMSRS),
   Lithionics Battery Management, OBSAI UDP-based Communication Protocol
   (UDPCP), Palo Alto Heartbeat Backup (PA-HB-Bak), ScyllaDB RPC,
   Technically Enhanced Capture Module Protocol (TECMP), Tunnel
   Extensible Authentication Protocol (TEAP), UDP based FTP w/ multicast
   V5 (UFTP5), and USB Printer (USBPRINTER)

  Updated Protocol Support

   Too many protocols have been updated to list here.

  New and Updated Capture File Support

   MP4 (ISO/IEC 14496-12)

 Getting Wireshark

  Wireshark source code and installation packages are available from
  https://www.wireshark.org/download.html.

  Vendor-supplied Packages

   Most Linux and Unix vendors supply their own Wireshark packages. You
   can usually install or upgrade Wireshark using the package management
   system specific to that platform. A list of third-party packages can
   be found on the download page[3] on the Wireshark web site.

 File Locations

  Wireshark and TShark look in several different locations for
  preference files, plugins, SNMP MIBS, and RADIUS dictionaries. These
  locations vary from platform to platform. You can use About → Folders
  to find the default locations on your system.

 Getting Help

  The User’s Guide, manual pages and various other documentation can be
  found at https://www.wireshark.org/docs/

  Community support is available on Wireshark’sQ&A site[4] and on the
  wireshark-users mailing list. Subscription information and archives
  for all of Wireshark’s mailing lists can be found on the web site[5].

  Bugs and feature requests can be reported on the issue tracker[6].

 Frequently Asked Questions

  A complete FAQ is available on the Wireshark web site[7].

  Last updated 2020-09-27 09:04:16 UTC

 References

   1. https://support.microsoft.com/en-us/help/4472027/2019-sha-2-code-s
  igning-support-requirement-for-windows-and-wsus
   2. https://github.com/TimothyGu/libilbc
   3. https://www.wireshark.org/download.html#thirdparty
   4. https://ask.wireshark.org/
   5. https://www.wireshark.org/lists/
   6. https://gitlab.com/wireshark/wireshark/-/issues
   7. https://www.wireshark.org/faq.html
